mgorny      15/04/04 08:52:43

  Modified:             blueman-9999.ebuild ChangeLog
  Log:
  Sync -9999. Remove conf file path patch and GConf magic, GSettings are used 
for config now. Pass proper --docdir.
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
EFB4464E!)

Revision  Changes    Path
1.8                  net-wireless/blueman/blueman-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild?r1=1.7&r2=1.8

Index: blueman-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- blueman-9999.ebuild 5 Jan 2015 19:56:01 -0000       1.7
+++ blueman-9999.ebuild 4 Apr 2015 08:52:43 -0000       1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v 
1.7 2015/01/05 19:56:01 zerochaos Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/blueman-9999.ebuild,v 
1.8 2015/04/04 08:52:43 mgorny Exp $
 
 EAPI="5"
 
@@ -21,16 +21,13 @@
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="gconf sendto network nls policykit pulseaudio"
+IUSE="gconf gnome network nls policykit pulseaudio thunar"
 
 CDEPEND="dev-libs/glib:2=
        x11-libs/gtk+:3=
        x11-libs/startup-notification:=
        dev-python/dbus-python[${PYTHON_USEDEP}]
-       || (
-               dev-python/pygobject:2
-               dev-python/pygobject:3
-       )
+       dev-python/pygobject:3
        >=net-wireless/bluez-4.61:=
        ${PYTHON_DEPS}"
 DEPEND="${CDEPEND}
@@ -42,12 +39,17 @@
        sys-apps/dbus
        x11-themes/hicolor-icon-theme
        gconf? ( dev-python/gconf-python[${PYTHON_USEDEP}] )
-       sendto? ( gnome-base/nautilus )
+       gnome? ( gnome-base/nautilus )
        network? ( || ( net-dns/dnsmasq
                net-misc/dhcp
                >=net-misc/networkmanager-0.8 ) )
        policykit? ( sys-auth/polkit )
-       pulseaudio? ( media-sound/pulseaudio )"
+       pulseaudio? ( media-sound/pulseaudio )
+       !net-wireless/gnome-bluetooth
+       x11-themes/gnome-icon-theme
+       thunar? ( xfce-base/thunar )
+"
+# See bug 455320 and https://github.com/blueman-project/blueman/issues/112 for 
reason for gnome-icon-theme dep
 
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
@@ -57,18 +59,18 @@
                data/blueman-manager.desktop.in || die "sed failed"
 
        epatch \
-               "${FILESDIR}/${PN}-9999-plugins-conf-file.patch" \
                
"${FILESDIR}/${PN}-9999-set-codeset-for-gettext-to-UTF-8-always.patch"
        eautoreconf
 }
 
 src_configure() {
        econf \
+               --docdir=/usr/share/doc/${PF} \
                --disable-static \
                $(use_enable policykit polkit) \
-               $(use_enable sendto) \
-               --disable-hal \
-               $(use_enable nls)
+               $(use_enable gnome nautilus-sendto) \
+               $(use_enable nls) \
+               $(use_enable thunar thunar-sendto)
 }
 
 src_install() {
@@ -77,10 +79,9 @@
        python_fix_shebang "${D}"
 
        rm "${D}"/$(python_get_sitedir)/*.la || die
-       use sendto && { rm "${D}"/usr/lib*/nautilus-sendto/plugins/*.la || die; 
}
+       use gnome && { rm "${D}"/usr/lib*/nautilus-sendto/plugins/*.la || die; }
 
        # Note: Python 3 support would need __pycache__ file removal too
-       use gconf || { rm 
"${D}"/$(python_get_sitedir)/${PN}/plugins/config/Gconf.py* || die; }
        use policykit || { rm -rf "${D}"/usr/share/polkit-1 || die; }
        use pulseaudio || { rm 
"${D}"/$(python_get_sitedir)/${PN}/{main/Pulse*.py*,plugins/manager/Pulse*.py*} 
|| die; }
 }



1.34                 net-wireless/blueman/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?rev=1.34&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?rev=1.34&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/net-wireless/blueman/ChangeLog?r1=1.33&r2=1.34

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v
retrieving revision 1.33
retrieving revision 1.34
diff -u -r1.33 -r1.34
--- ChangeLog   3 Mar 2015 08:18:52 -0000       1.33
+++ ChangeLog   4 Apr 2015 08:52:43 -0000       1.34
@@ -1,6 +1,10 @@
 # ChangeLog for net-wireless/blueman
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v 1.33 
2015/03/03 08:18:52 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-wireless/blueman/ChangeLog,v 1.34 
2015/04/04 08:52:43 mgorny Exp $
+
+  04 Apr 2015; Michał Górny <[email protected]> blueman-9999.ebuild:
+  Sync -9999. Remove conf file path patch and GConf magic, GSettings are used
+  for config now. Pass proper --docdir.
 
   03 Mar 2015; Michał Górny <[email protected]>
   files/blueman-9999-set-codeset-for-gettext-to-UTF-8-always.patch:




Reply via email to